Loading...
Searching...
No Matches
RDKit::detail Namespace Reference

## Classes

struct | MCSParametersInternal

## Functions

std::string | qhelper (const Atom::QUERYATOM_QUERY *q, unsigned int depth)
std::string | qhelper (const Bond::QUERYBOND_QUERY *q, unsigned int depth)
template<typename CompareFunc>
bool | hanoi (int *base, int nel, int *temp, int *count, int *changed, CompareFunc compar)

## Variables

constexpr std::string_view | computedPropName = "__computedProps"

## Function Documentation

## hanoi()

template<typename CompareFunc>

bool RDKit::detail::hanoi | ( | int * | base,
|  | int | nel,
|  | int * | temp,
|  | int * | count,
|  | int * | changed,
|  | CompareFunc | compar )

changed ||

changed ||

Definition at line 29 of file hanoiSort.h.

References hanoi().

Referenced by hanoi(), RDKit::hanoisort(), and RDKit::hanoisort().

## qhelper() [1/2]

std::string RDKit::detail::qhelper | ( | const Atom::QUERYATOM_QUERY * | q,
|  | unsigned int | depth )

inline

Definition at line 135 of file QueryAtom.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::beginChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::endChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), and qhelper().

Referenced by RDKit::describeQuery(), RDKit::describeQuery(), qhelper(), and qhelper().

## qhelper() [2/2]

std::string RDKit::detail::qhelper | ( | const Bond::QUERYBOND_QUERY * | q,
|  | unsigned int | depth )

inline

Definition at line 121 of file QueryBond.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::beginChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::endChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getFullDescription(), and qhelper().

## Variable Documentation

## computedPropName

std::string_view RDKit::detail::computedPropName = "__computedProps"

inline constexpr

Definition at line 51 of file types.h.

Referenced by RDKit::RDProps::clearComputedProps(), RDKit::RDProps::clearProp(), RDKit::RDProps::getPropList(), and RDKit::RDProps::setProp().